Subject: Re: [PATCH] Fix sparsemem on Cell (take 3)

From: Arnd Bergmann <[email-masked]>
Date: Sun, 7 Jan 2007 13:07:50 +0100

On Sunday 07 January 2007 09:58, Dave Hansen wrote:
> The following patch fixes an oops experienced on the Cell architecture
> when init-time functions, early_*(), are called at runtime. =A0It alters
> the call paths to make sure that the callers explicitly say whether the
> call is being made on behalf of a hotplug even, or happening at
> boot-time.=20
>=20
> It has been compile tested on ia64, s390, i386 and x86_64.

I can't test it here, since I'm travelling at the moment, but
this version looks good to me. Thanks for picking it up again!

> Signed-off-by: Dave Hansen <[email-masked]>

Acked-by: Arnd Bergmann <[email-masked]>